Bug 1009323 - [RFE]After someone tries to edit the system which he doesn't have permission, browser should show the origin page instead of homepage
[RFE]After someone tries to edit the system which he doesn't have permission,...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
low Severity low (vote)
: 19.0
: ---
Assigned To: Dan Callaghan
tools-bugs
: FutureFeature
Depends On: 1014438
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 04:15 EDT by xjia
Modified: 2015-07-19 20:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-25 02:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-09-18 04:15:21 EDT
Description of problem:
After someone tries to edit the system which he doesn't have permission, browser should show the origin page instead of homepage

Version-Release number of selected component (if applicable):
develop

How reproducible:
100%

Steps to Reproduce:
1.Use non-admin account to open one system page.
2.Click "Edit system" or "Change" Notify CC


Actual results:
Browser will direct the page to homepage

Expected results:
Should stay the origin page

Additional info:
Comment 2 Dan Callaghan 2013-09-18 19:26:18 EDT
The redirect destination for most error conditions in Beaker has always been fairly arbitrary.
Comment 3 Dan Callaghan 2014-09-18 01:59:23 EDT
As part of the system page improvements (bug 1014438), there is no longer a separate page for editing systems or changing notify CC list.

https://beaker-project.org/dev/proposals/system-page-improvements.html
Comment 6 Dan Callaghan 2014-11-25 02:18:38 EST
Beaker 19.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.